#
# spec file for package python-arrow
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without python2
Name:           python-arrow
Version:        0.12.1
Release:        lp151.3.2
Summary:        Better dates and times for Python
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://crsmithdev.com/arrow
Source:         https://files.pythonhosted.org/packages/source/a/arrow/arrow-%{version}.tar.gz
BuildRequires:  %{python_module chai}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module python-dateutil}
BuildRequires:  %{python_module simplejson}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with python2}
BuildRequires:  python-backports.functools_lru_cache
%endif
%ifpython2
Requires:       python-backports.functools_lru_cache
%endif
Requires:       python-python-dateutil
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
Arrow is a Python library that offers a sensible, human-friendly
approach to creating, manipulating, formatting and converting dates,
times, and timestamps.  It implements and updates the datetime type,
plugging gaps in functionality, and provides an intelligent module
API that supports many common creation scenarios.  Simply put, it
helps you work with dates and times with fewer imports and a lot
less code.

Arrow is heavily inspired by moment.js and requests.

%prep
%setup -q -n arrow-%{version}
rm -rf arrow.egg-info

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH="%{buildroot}%{$python_sitelib}:$PYTHONPATH" $python %{_bindir}/nosetests

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.rst HISTORY.md
%{python_sitelib}/*

%changelog
* Tue Feb 20 2018 arun@gmx.de
- specfile:
  * also require python-backports.functools_lru_cache during
    installation
* Sat Feb 17 2018 arun@gmx.de
- specfile:
  * update copyright year
  * require python-backports.functools_lru_cache for python2
- update to version 0.12.1:
  * Allow wheels to determine the required dependencies
  * Makes the only_distance paramter value equivalent to value given
    to function when granularity paramter is also provided by user
- changes from version 0.12.0:
  * [FIX] Compatibility fix for Python 2.x
- changes from version 0.11.0:
  * [FIX] Fix grammar of ArabicLocale
  * [NEW] Add Nepali Locale
  * [FIX] Fix month name + rename AustriaLocale -> AustrianLocale
  * [FIX] Fix typo in Basque Locale
  * [FIX] Fix grammar in PortugueseBrazilian locale
  * [FIX] Remove pip --user-mirrors flag
  * [NEW] Add Indonesian Locale
* Sat Jul 15 2017 aloisio@gmx.com
- Update to 0.10.0 (see HISTORY.md)
- Converted to singlespec
* Fri Feb 26 2016 tbechtold@suse.com
- Require python-python-dateutil. package was renamed
* Wed Aug  6 2014 toddrme2178@gmail.com
- Initial version
